"""tmt_field_actspace0p5m_plot.py
Plot results from the tmt_field_actspace0p5m.cfg run
"""
# curves of ENA vs actuator spacing for different DM conjugate and L0
import matplotlib.pyplot as plt
import pandas as pd

#plt.ion()

db = pd.read_csv('log.csv',';')

plt.figure(figsize=(6,6))

ys = []

dbs = db[(db['AO']=='on') & (db['L0']=='Infinity') & (db['DM_CONJU']==0.)]
x,y = dbs['RADIUS'], dbs['ENA']
ys.append((x,y,'b-','L0=Inf, zc=0'))

dbs = db[(db['AO']=='on') & (db['L0']=='Infinity') & (db['DM_CONJU']==-280.0)]
x,y = dbs['RADIUS'], dbs['ENA']
ys.append((x,y,'b--','L0=Inf, zc=-280'))

dbs = db[(db['AO']=='on') & (db['L0']=='30.0') & (db['DM_CONJU']==0.)]
x,y = dbs['RADIUS'], dbs['ENA']
ys.append((x,y,'g-','L0=30, zc=0'))

dbs = db[(db['AO']=='on') & (db['L0']=='30.0') & (db['DM_CONJU']==-280.0)]
x,y = dbs['RADIUS'], dbs['ENA']
ys.append((x,y,'g--','L0=30, zc=-280'))

ena_open_30 = db[(db['AO']=='on') & (db['L0']=='30.0')]['ENA_SEE'].iloc[0]
ena_open_Inf = db[(db['AO']=='on') & (db['L0']=='Infinity')]['ENA_SEE'].iloc[0]

for x,y,ls,lab in ys:
    plt.plot(x,y,ls,label=lab)

plt.plot([x.min(),x.max()],[ena_open_Inf,ena_open_Inf],'b-.',label='L0=Inf seeing')
plt.plot([x.min(),x.max()],[ena_open_30,ena_open_30],'g-.',label='L0=30 seeing')

plt.grid('on')
#plt.xscale('log')
plt.legend()
plt.xlabel('field radius, arcmin')
plt.ylabel('ENA, arcsec^2')
profile, ngs, geom = db[db['AO']=='on']['PROFILE'].iloc[0], db[db['AO']=='on']['NGS'].iloc[0], db[db['AO']=='on']['GEOMETRY'].iloc[0]
plt.title('Profile: %s, Ngs=%d %s'%(profile,ngs,geom))
#plt.ylim(0, 1.4)

plt.show()
